
Redmine - Defect #5360

Report shows sub-projects for non-members

2010-04-21 02:43 - Enderson Maia

Status: Closed Start date: 2010-04-21

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 0.9.4   

Resolution: Fixed Affected version: 0.9.3

Description

I use a parent project for my organization that is public, and sub-projects for each companies in the group or departments that are not

public.

Every user is is a member of the parent project via group with a simple Role, and member of a sub-project with a specific role, with

more privileges.

In the issues list in the parent project, the user only sees issues that belongs to his projects, but when the user access the Summary

(report controller) he can see other sub-projects names.

I think the normal behavior should be just show data for the project that he is a member. Right ?

Associated revisions

Revision 3692 - 2010-04-27 18:43 - Jean-Philippe Lang

Fixed: private subprojects names may be revealed on issue summary report (#5360).

History

#1 - 2010-04-21 06:00 - Enderson Maia

- File 0001-Fixed-Issues-report-shows-sub-projects-for-non-memb.patch added

Change tracker for Patch.

The attached patch solves the problema for me, but it's missing tests.

#2 - 2010-04-23 22:45 - Enderson Maia

Change affected version, I tested on trunk, and the error is the same.

Now I know I shouldn't set the "Affected version", won't do it next time.

#3 - 2010-04-27 18:40 - Jean-Philippe Lang

- Category set to Issues

- Status changed from New to Resolved

- Target version set to 0.9.4

- Resolution set to Fixed

This is fixed in r3692. Thanks for pointing this out.

#4 - 2010-04-30 16:19 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Files

0001-Fixed-Issues-report-shows-sub-projects-for-non-memb.patch 2.52 KB 2010-04-21 Enderson Maia
